Name:           mpdecimal
Version:        2.4.2
Release:        1%{?dist}
Summary:        Library for general decimal arithmetic

# library: BSD
# underscore.js: MIT
# jquery: MIT or GPLv2
# sizzle.js: MIT and BSD and GPL
License:        BSD

URL:            http://www.bytereef.org/mpdecimal/index.html
Source0:        http://www.bytereef.org/software/mpdecimal/releases/mpdecimal-%{version}.tar.gz
Source1:        http://speleotrove.com/decimal/dectest.zip

BuildRequires:  unzip

%description
The package contains a library limpdec implementing General Decimal Arithmetic
Specification. The specification, written by Mike Cowlishaw from IBM, defines
a general purpose arbitrary precision data type together with rigorously
specified functions and rounding behavior.

%package        devel
Requires:       %{name}%{?_isa} = %{version}-%{release}
Summary:        Development headers for mpdecimal library

%description devel
The package contains development headers for the mpdecimal library.

%package        doc
Summary:        Documentation for mpdecimal library
BuildArch:      noarch

%description doc
The package contains documentation for the mpdecimal library.

%prep
%autosetup
unzip -d tests/testdata %{SOURCE1}

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_pkgdocdir}/LICENSE.txt

%files
%license LICENSE.txt
%{_libdir}/libmpdec.so.*

%files devel
%{_libdir}/libmpdec.so
%{_includedir}/mpdecimal.h

%files doc
%doc %{_pkgdocdir}

%changelog
* Fri Jul 15 2016 Jan Vcelak <jvcelak@fedoraproject.org> - 2.4.2-1
- initial package
